# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Culemak keyboard layout, a slight variation of culemak"
HOMEPAGE="http://www.waddles.org/twiki/bin/view/Main/Culemak"
SRC_URI="http://www.waddles.org/twiki/pub/Main/Culemak/${P}.tar.gz
         kde? ( http://www.waddles.org/twiki/pub/Main/Culemak/ktouch.tar.gz )"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="kde X"

DEPEND="kde? ( kde-base/ktouch )"
RDEPEND=""

src_install() {
	# console keymap
	insinto /usr/share/keymaps/i386/culemak/
	mv linux_console/culemak.iso15.kmap linux_console/culemak.iso15.map
	gzip linux_console/culemak.iso15.map
	doins linux_console/culemak.iso15.map.gz

	# xorg symbols
	if use X ; then
		insinto /usr/share/X11/xkb/symbols/
		doins xorg/culemak
	fi

	# ktouch files
	if use kde ; then
		cd ..
		local KDE_VER="$(best_version kde-base/ktouch)"
		KDE_VER=$(echo $KDE_VER | sed -e 's/.*ktouch-//' -e 's/\([0-9]\.[0-9]\).*/\1/' )
		einfo "Installing ktouch files for KDE $KDE_VER"
		insinto /usr/kde/$KDE_VER/share/apps/ktouch/
		doins culemak.k*
	fi
}
